[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# subtract(variant,variant):variant

Implement subtraction (-) operation on variants.

## Declaration

Source position: varianth.inc line 360

`operator operator -(`
`const op1: variant;`
`const op2: variant`
`):variant;`

## Description

The implementation of the subtraction - operation is delegated to the variant manager with operation opSubtract.

## Errors

Execution of this operator may result in an exception if no variant manager is installed or if the types of the operand are not suitable for the operation.

## See also

operator -(variant, variant): variant |  | Implement subtraction (-) operation on variants.